Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005616TestLinkRequirement to Test Case Assignmentpublic2013-04-08 07:412013-05-22 20:59
Reporterimix 
Assigned Tofman 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.6 (2013 Q1 - bug fixing) 
Fixed in Version1.9.7 (2013 Q2 - bug fixing) 
Summary0005616: Inconsistent assignment to requirement if test case is executed
DescriptionIf a test case is executed, there are two different (inconsistent) possibilities to assign the test case to a requirement. When using the test specification, one has to create a new version of the test case to be able to assign the requirement. When using the Requirement Specification -> Assign Requirements, it is possible to do so without creating a new version of the test case.
Steps To Reproduce- Create a requirement
- Create a test case
- execute the test case
Go to Test Specification: not possible to assign the requirement to the test case w/o creating a new version
Go to Assign Requirements: possible to assign the requirement to the test case
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon spock.png [^] (27,033 bytes) 2013-04-12 17:57

- Relationships
child of 0005551closedfman Availables hot-fixes for 1.9.6 & How To get full fixed package from gitorious 

-  Notes
(0018657)
fman (administrator)
2013-04-09 18:22
edited on: 2013-04-09 18:23

Please provide detailed step by step actions, with expected results and actual results.
Info provided is not enough

(0018658)
imix (reporter)
2013-04-09 18:59

There are two possible ways how one can assign requirements to test cases. Via Test specification and via the Assign Requirements page. If a test case has been executed, they do not offer the same behavior.

Precondition (as stated):
- Create a requirement
- Create a test case
- execute the test case

Possibility 1 to assign the requirement: via Test Specification
- go to the main page
- open test specification
- view test case (not possible to assign requirement directly)
- click on Create a new version
- click on Edit
- Scroll down, click on assign requirement
- assign the requirement
Result: requirement assigned and a NEW version of the test case had to be created

Possibility 2 to assign the requirement: via separate Assign Requirements page
- go to the main page
- go to assign requirements
- click on the test case
- select the requirement and assign it
Result: requirement assigned to the existing version of the test case (no need to create a new one)

I guess the correct behavior would be to allow the assignment of requirements in the Test Specification without the need to create a new version.
(0018659)
fman (administrator)
2013-04-09 20:04

Thanks, this is the kind of report I need.
Will provide feedback regarding options
(0018680)
fman (administrator)
2013-04-12 17:58

Added option to access link/unlink requirements from Test Case view feature
(0018682)
fman (administrator)
2013-04-12 17:59

http://gitorious.org/testlink-ga/testlink-code/commit/7f048a9068c916fb6b0fe8ed8a7cf13176beb55c [^]

http://gitorious.org/testlink-ga/testlink-code/commit/4e7787035296bee58cb5ecc60776924e566a5e8c [^]

- Issue History
Date Modified Username Field Change
2013-04-08 07:41 imix New Issue
2013-04-09 18:22 fman Note Added: 0018657
2013-04-09 18:23 fman Note Edited: 0018657 View Revisions
2013-04-09 18:59 imix Note Added: 0018658
2013-04-09 20:04 fman Note Added: 0018659
2013-04-12 17:57 fman File Added: spock.png
2013-04-12 17:58 fman Note Added: 0018680
2013-04-12 17:58 fman Tag Attached: TO BE FIXED on 2.0
2013-04-12 17:58 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-04-12 17:59 fman Note Added: 0018682
2013-04-12 18:00 fman Status new => resolved
2013-04-12 18:00 fman Fixed in Version => 1.9.7 (2013 Q2 - bug fixing)
2013-04-12 18:00 fman Resolution open => fixed
2013-04-12 18:00 fman Assigned To => fman
2013-04-12 18:00 fman Relationship added child of 0005551
2013-05-22 20:59 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker